#
# spec file for package ghc-commonmark-extensions
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name commonmark-extensions
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.2.3
Release:        bp154.1.11
Summary:        Pure Haskell commonmark parser
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-commonmark-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-emojis-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-network-uri-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
ExcludeArch:    %{ix86}
%if %{with tests}
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
%endif

%description
This library provides some useful extensions to core commonmark syntax: smart
quotes, definition lists, tables, footnotes, math, and more.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc README.md changelog.md

%changelog
* Wed Jan 12 2022 Peter Simons <psimons@suse.com>
- Update commonmark-extensions to version 0.2.3.
  [#]# 0.2.3
  - Allow bare word attribute in fenced_divs (#84).  This follows a similar
    change in pandoc (jgm/pandoc#7242).
* Mon Nov  1 2021 psimons@suse.com
- Add commonmark-extensions at version 0.2.2.1.
* Sun May 30 2021 psimons@suse.com
- Update commonmark-extensions to version 0.2.1.2.
  [#]# 0.2.1.2
  - Fix bug with absolute paths in rebase_relative_paths
    extension on Windows.
* Sat May 29 2021 psimons@suse.com
- Update commonmark-extensions to version 0.2.1.1.
  [#]# 0.2.1.1
  - Fix bug in wikilinks extensions.
  [#]# 0.2.1
  - Add `rebase_relative_paths` extension.
    New exported module Commonmark.Extensions.RebaseRelativePaths [API change].
  - Add `wikilinks_title_before_pipe` and `wikilinks_title_after_pipe`
    extensions (#69).
    New exported module Commonmark.Extensions.Wikilinks [API change].
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Sat Nov  7 2020 psimons@suse.com
- Update commonmark-extensions to version 0.2.0.4.
  [#]# 0.2.0.4
  - Add a test for autolinks (#66).
  - Require commonmark 0.1.1.2 (otherwise autolinks don't work
    properly).
  [#]# 0.2.0.3
  - Add some new test examples to the autolinks extension spec (#65).
  - Allow interior `~` characters in autolinks (#65).
* Tue Nov  3 2020 psimons@suse.com
- Update commonmark-extensions to version 0.2.0.2.
  [#]# 0.2.0.2
  - Remove unnecessary Typeable constraint on `TaskList` and
    `gfmExtensions` (#58).
  - Fix bug in `footnote` extension:  multiple blocks in
    a block container (e.g. block quote or list) inside
    a footnote were being rendered in reverse order (#63,
    Harald Gliebe).
* Tue Aug 18 2020 Peter Simons <psimons@suse.com>
- Replace %%setup -q with the more modern %%autosetup macro.
* Tue Aug  4 2020 psimons@suse.com
- Add commonmark-extensions at version 0.2.0.1.
